Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.regexp
Class Jdk14RegexpRegexp

    java.lang.Object
      org.apache.tools.ant.util.regexp.Jdk14RegexpMatcher
          org.apache.tools.ant.util.regexp.Jdk14RegexpRegexp

All Implemented Interfaces:
  Regexp, RegexpMatcher

    public class Jdk14RegexpRegexp

extends Jdk14RegexpMatcher
implements Regexp

Regular expression implementation using the JDK 1.4 regular expression package

Field Summary

Fields inherited from interface org.apache.tools.ant.util.regexp.Regexp
`REPLACE_ALL, REPLACE_FIRST`

Fields inherited from interface org.apache.tools.ant.util.regexp.RegexpMatcher
`MATCH_CASE_INSENSITIVE, MATCH_DEFAULT, MATCH_MULTILINE, MATCH_SINGLELINE`

Constructor Summary
`Jdk14RegexpRegexp()` Constructor for Jdk14RegexpRegexp

Method Summary
`protected int` | `getSubsOptions(int options)` Convert ant regexp substitution option to jdk1.4 options.
`java.lang.String` | `substitute(java.lang.String input, java.lang.String argument, int options)` Perform a substitution on the regular expression.

Methods inherited from class org.apache.tools.ant.util.regexp.Jdk14RegexpMatcher
`getCompiledPattern, getCompilerOptions, getGroups, getGroups, getPattern, matches, matches, setPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tools.ant.util.regexp.RegexpMatcher
`getGroups, getGroups, getPattern, matches, matches, setPattern`

Constructor Detail

### Jdk14RegexpRegexp

    public Jdk14RegexpRegexp()

  Constructor for Jdk14RegexpRegexp

Method Detail

### getSubsOptions

    protected int getSubsOptions(int options)

  Convert ant regexp substitution option to jdk1.4 options.

  Parameters:
    `options` - the ant regexp options
  Returns:
    the jdk14 substition options

### substitute

    public java.lang.String substitute(java.lang.String input,
                                       java.lang.String argument,
                                       int options)
                                throws BuildException

  Perform a substitution on the regular expression.

  Specified by:
    `substitute` in interface `Regexp`
  Parameters:
    `input` - The string to substitute on
    `argument` - The string which defines the substitution
    `options` - The list of options for the match and replace.
  Returns:
    the result of the operation
  Throws:
    `BuildException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD